
Auto Multiple Choice - Bug # 645: Problème lors de la correction

Status: Closed Priority: Urgent
Author: Yann DOUZE Category:
Created: 04/07/2019 Assignee:
Updated: 04/08/2019 Due date:
Description: Bonjour 

La correction automatique ne fonctionne pas sur un mon examen. Il me sort une seule colonne de réponse 
avec 0 pour toute les copies tandis que mon examen comporte 29 questions...
Pourtant j'ai déjà fais des examens avec le même sujet ! Je ne comprend pas ? 
Voici le fichier de log en mode debug ci-joint. 
Je vois qu'il y a un warning pour chaque copie mais je ne comprend pas ce que cela veut dire ? 

Merci pour votre aide (je dois normalement rendre les notes pour le lundi 8 avril...)

History
04/07/2019 10:28 am - Frédéric Bréal
Bonjour,
Je ne sais pas lire les fichiers log d'AMC mais je peux vous proposer de tenter de corriger vos copies avec ma version AMC 1.4 et xubuntu 18.04, vu  
votre urgence.
Vous pouvez m'envoyer les fichier tex et csv par mail (en cliquant sur mon psuedo)  et le fichier pdf via wetransfer par exemple.

04/07/2019 03:45 pm - Alexis Bienvenüe
- Status changed from New to Feedback

Avez-vous coché la case _Mettre à jour le barème_ avant la correction ?
Pouvez-vous vérifier que le nombre de copies de l'onglet _Préparation_ est bien supérieur au nombre de copies utilisées ?

04/07/2019 03:59 pm - Frédéric Bréal
> Pouvez-vous vérifier que le nombre de copies de l'onglet Préparation est bien supérieur au nombre de copies utilisées ?
J'ai reçu ses fichiers et effectivement dans le fichier tex, il y a 
<pre>
\exemplaire{30}{
</pre>
et je viens de voir une copie avec 
<pre>
40/1/8
</pre>

Chez moi, dans l'interface, j'ai 0 à nombre de copies.
Où dois-je modifier le chiffre ? Dans le fichier tex ou sur l'interface ?

04/07/2019 04:02 pm - Alexis Bienvenüe
Avec 0 dans l'interface, AMC prend en compte le nombre donné en premier argument de @\exemplaire@ (donc ici 30).

04/07/2019 04:09 pm - Frédéric Bréal
J'ai mis 40 dans le fichier tex.

J'ai 105 scans non reconnus.
Comme ma version est paramétrée pour la photocopieuse de mon collège, j'ignore quels paramètres modifier.

<pre>
Page : +18/2/17+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
ERROR(): No layout for ID +0/0/0+
ERROR(): No layout for ID +0/0/0+
ERROR(): No layout for ID +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
===<analyse>=+0.00476190476190476
Page : +22/4/51+
===<analyse>=+0.00476190476190476
Page : +22/5/50+
===<analyse>=+0.00476190476190476
ERROR(): No layout for ID +0/0/0+
Page : +22/6/49+
ERROR(): No layout for ID +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
===<analyse>=+0.00476190476190476
ERROR(): No layout for ID +0/0/0+
Page : +23/2/47+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +23/4/45+
===<analyse>=+0.00476190476190476
Page : +23/5/44+
===<analyse>=+0.00476190476190476
Page : +23/6/43+
===<analyse>=+0.00476190476190476
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
===<analyse>=+0.00476190476190476
Page : +27/2/25+
===<analyse>=+0.00476190476190476
ERROR(): No layout for ID +0/0/0+
Page : +27/3/24+
ERROR(): No layout for ID +0/0/0+
Page : +27/4/23+
Page : +27/5/22+
===<analyse>=+0.00476190476190476
Page : +27/6/21+
===<analyse>=+0.00476190476190476
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
===<analyse>=+0.00476190476190476
Page : +28/2/19+
===<analyse>=+0.00476190476190476
===<analyse>=+0.00476190476190476
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +28/4/17+
===<analyse>=+0.00476190476190476
ERROR(): No layout for ID +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
===<analyse>=+0.00476190476190476
Page : +28/6/15+
ERROR(): No layout for ID +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
ERROR(): No layout for ID +0/0/0+
Page : +21/2/59+
===<analyse>=+0.00476190476190476
Page : +21/4/57+
ERROR(): No layout for ID +0/0/0+
Page : +21/3/58+
===<analyse>=+0.00476190476190476
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +21/6/55+
===<analyse>=+0.00476190476190476
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
===<analyse>=+0.00476190476190476
ERROR(): No layout for ID +0/0/0+
ERROR(): No layout for ID +0/0/0+
Page : +26/2/31+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
Page : +0/0/0+
</pre>
04/08/2019 05:49 am - Yann DOUZE
Alexis Bienvenüe wrote:
> Avez-vous coché la case _Mettre à jour le barème_ avant la correction ?
> Pouvez-vous vérifier que le nombre de copies de l'onglet _Préparation_ est bien supérieur au nombre de copies utilisées ?

Oui j'ai bien coché "Mettre à jour le barême". 
Pour le nombre de copies, j'avais mis 30 dans le sujet mais 40 dans l'interface. AU total j'ai eu 35 copies utilisés pour l'examen. 
A la saisie, il reconnait bien mes 35 copies sans changer les paramètres. 
Pourtant, lorsque je clique sur corriger, il fait la correction en 1 seconde et me sort 0 de moyenne et une colonne avec 40 lignes à 0 (tandis que j'ai que 
35 copies) ? 

Merci beaucoup Gérard qui a pu corriger mes copies. 

Cependant j'aurai bien aimé comprendre la source du problème car j'ai un autre examen qui va suivre sur le même sujet...
J'ai même créé un nouveau projet, refait la saisie, et j'ai le même problème...

Merci pour votre aide

04/08/2019 08:56 am - Alexis Bienvenüe
> A la saisie, il reconnait bien mes 35 copies sans changer les paramètres.
Est-ce que les cases cochées sont bien reconnues (à voir dans la fenêtre des zooms d'une page) ?
> J'ai même créé un nouveau projet, refait la saisie, et j'ai le même problème...
Pouvez-vous recommencer tout le processus avec une seule copie scannée, en créant un nouveau projet, le tout en mode débogage, et poster le 
fichier @log@ produit ?

04/08/2019 11:14 am - Yann DOUZE
Alexis Bienvenüe wrote:
> > A la saisie, il reconnait bien mes 35 copies sans changer les paramètres.
> Est-ce que les cases cochées sont bien reconnues (à voir dans la fenêtre des zooms d'une page) ?
> > J'ai même créé un nouveau projet, refait la saisie, et j'ai le même problème...
> Pouvez-vous recommencer tout le processus avec une seule copie scannée, en créant un nouveau projet, le tout en mode débogage, et poster le 
fichier @log@ produit ?

Oui les cases cochés sont bien reconnus.
Je viens de trouver d'ou viens mon erreur ! 
Je suis obligé de changer mon sujet pour la correction sinon les questions qui ne sont pas multiples ne sont pas corrigées... C'est un problème que je 
n'ai toujours pas résolu, je vais d'ailleurs ouvrir un nouveau post sur ce problème là.
En changeant mon sujet pour la correction, j'avais introduit des erreurs. Donc il ne prenait pas en compte mon fichier pour la correction. 
Merci encore pour votre aide précieuse.

04/08/2019 11:43 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Files
AMC-DEBUG-qfF5jA2m.log 20.3 kB 04/07/2019 Yann DOUZE
